<ion-header>
  <profilebar></profilebar>
</ion-header>

<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading">
    <button tappable ion-button icon-left navPop class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
    <div class="title">Subscription</div>
    <div class="flex-buffer"></div>
  </div>
  <div class="subscription-page" *ngIf="user.subscription.status === 'cancelled'">
    <ion-card class="content">
      <p>Your subscription has been cancelled. You have {{ user.subscription.days_left }} days left in your subscription to use the app.</p>
      <p>If you wish to continue use, after your remaining time has expired you will be able to log back into the app and reactivate.</p>
    </ion-card>
  </div>
  <div class="subscription-page" *ngIf="user.subscription.status !== 'cancelled'">
    <ion-card class="content">
      <p>Your weekly subscription will automatically renew every 7 days (each week)</p>
      <p>If you'd like to cancel your subscription, please click the button below. You can return any time, but you'll need to have an active subscription.</p>
    </ion-card>
    <!-- <button (click)="cancelSubscription()" ion-button full class="btn-skeleton">Cancel Subscription</button>
    <ion-card>
      <form [formGroup]="form" class="activate-card-form">
        <h3 class="general-title">Update Credit Card details</h3>
        <p style="font-family: 'eurostile-regular';font-size: 16px;color: white;line-height: 1.4;text-align: center;margin-bottom: 30px;margin-top: -20px;">Need to update your credit card details? No worries! Please fill out the form below.</p>
        <input tappable formControlName="number" name="number" type="text" placeholder="Card number" spellcheck="false" autocapitalize="off" required>
        <input tappable formControlName="month" name="month" type="text" placeholder="MM" spellcheck="false" autocapitalize="off" required>
        <input tappable formControlName="year" name="year" type="text" placeholder="YY" spellcheck="false" autocapitalize="off" required>
        <input tappable formControlName="cvc" name="cvc" type="text" placeholder="CVC" spellcheck="false" autocapitalize="off" required>
      </form>
    </ion-card>
    <button (click)="updateCard()" ion-button full class="btn-skeleton">Update Card</button> -->
  </div>
</ion-content>